TagLibraryLookup (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.pages
[Java] Class TagLibraryLookup

    java.lang.Object
      org.codehaus.groovy.grails.web.pages.TagLibraryLookup

All Implemented Interfaces:
  org.springframework.context.ApplicationContextAware, GrailsApplicationAware, org.springframework.beans.factory.InitializingBean

    public class TagLibraryLookup
    extends java.lang.Object

Looks up tag library instances.

Authors:
  Graeme Rocher

Since:
  1.1

Field Summary
`protected org.springframework.context.ApplicationContext` | `applicationContext`
`protected java.util.Map` | `encodeAsForTagNamespaces`
`protected GrailsApplication` | `grailsApplication`
`protected java.util.Map` | `namespaceDispatchers`
`protected java.util.Map` | `tagNamespaces`
`protected java.util.Map` | `tagsThatReturnObjectForNamespace`

Method Summary
`void` | `afterPropertiesSet()`
`boolean` | `doesTagReturnObject(java.lang.String namespace, java.lang.String tagName)`
`java.util.Set` | `getAvailableNamespaces()` @return The namespaces available
`java.util.Map` | `getEncodeAsForTag(java.lang.String namespace, java.lang.String tagName)`
`boolean` | `hasNamespace(java.lang.String namespace)` Returns whether the given namespace is in use
`NamespacedTagDispatcher` | `lookupNamespaceDispatcher(java.lang.String namespace)` Looks up a namespace dispatcher for the given namespace
`groovy.lang.GroovyObject` | `lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)` Looks up a tag library for the given namespace and tag name.
`protected void` | `putTagLib(java.util.Map tags, java.lang.String name, GrailsTagLibClass taglib)`
`void` | `registerTagLib(GrailsTagLibClass taglib)` Registers a tag library for lookup.
`protected void` | `registerTagLibraries()`
`protected void` | `registerTemplateNamespace()`
`void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
`void` | `setGrailsApplication(GrailsApplication grailsApplication)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### applicationContext

    protected org.springframework.context.ApplicationContext applicationContext

### encodeAsForTagNamespaces

    protected java.util.Map encodeAsForTagNamespaces

### grailsApplication

    protected GrailsApplication grailsApplication

### namespaceDispatchers

    protected java.util.Map namespaceDispatchers

### tagNamespaces

    protected java.util.Map tagNamespaces

### tagsThatReturnObjectForNamespace

    protected java.util.Map tagsThatReturnObjectForNamespace

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

### doesTagReturnObject

    public boolean doesTagReturnObject(java.lang.String namespace, java.lang.String tagName)

### getAvailableNamespaces

    public java.util.Set getAvailableNamespaces()

  Returns:
    The namespaces available

### getEncodeAsForTag

    public java.util.Map getEncodeAsForTag(java.lang.String namespace, java.lang.String tagName)

### hasNamespace

    public boolean hasNamespace(java.lang.String namespace)

  Returns whether the given namespace is in use
  Parameters:
    `namespace` - The namespace
  Returns:
    true if it is in use

### lookupNamespaceDispatcher

    public NamespacedTagDispatcher lookupNamespaceDispatcher(java.lang.String namespace)

  Looks up a namespace dispatcher for the given namespace
  Parameters:
    `namespace` - The namespace
  Returns:
    The NamespacedTagDispatcher

### lookupTagLibrary

    public groovy.lang.GroovyObject lookupTagLibrary(java.lang.String namespace, java.lang.String tagName)

  Looks up a tag library for the given namespace and tag name.
  Parameters:
    `namespace` - The tag library namespace
    `tagName` - The tag name
  Returns:
    The tag library or null if it wasn't found

### putTagLib

    protected void putTagLib(java.util.Map tags, java.lang.String name, GrailsTagLibClass taglib)

### registerTagLib

    public void registerTagLib(GrailsTagLibClass taglib)

  Registers a tag library for lookup. Each of the tags in the library is mapped by namespace:name to the taglib bean. If the taglib has already been registered, this method will override the existing information and update the tags to use the new version.
  Parameters:
    `taglib` - The taglib descriptor class.

### registerTagLibraries

    protected void registerTagLibraries()

### registerTemplateNamespace

    protected void registerTemplateNamespace()

### setApplicationContext

    public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication grailsApplication)

Groovy Documentation